package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumBoxRegisterStatus {

    INIT(0, "出厂"),
    REGISTERED(1, "注册");
    public static EnumBoxRegisterStatus getEnum(Integer code) {
        for (EnumBoxRegisterStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBoxRegisterStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
